#include <bits/stdc++.h>

using namespace std;

int main ()
{
    int n;
    cin >> n;
    int br=0;
    for(int i=0;i<n;i++)
    {
        int k;
        cin >> k;
        if(k%2==0) br++;
    }
    cout << br;
}